Imports System.IO
Imports BestellungDB.BestellungDBDts
Imports System.ComponentModel
Imports System.Data.OleDb

Public Class frmBestellungDB

   Private _DataFile As New FileInfo("..\..\BestellungDBDts.DataSet.xml")

   Private Sub frmParentChild_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
      Dim adp = New DatasetAdapter(OleDbFactory.Instance, My.Settings.BestellungConnectionString, ConflictOption.OverwriteChanges)
      Me.AlignOnTop.BestellungDBDts.Adapter(adp).Register(Me)
      AddHandler Me.FormClosing, BestellungDBDts.HandleFormClosing
      'BestellungDBDts.ReadXml(_DataFile.FullName)
      BestellungDBDts.Fill()
   End Sub

   Private Sub MenuStrip1_MenuClicked(ByVal Sender As Object, ByVal e As EventArgs) _
      Handles SaveToolStripMenuItem.Click, ReloadToolStripMenuItem.Click, TestToolStripMenuItem.Click, AddBestellungToolStripMenuItem.Click
      Select Case True
         Case Sender Is SaveToolStripMenuItem
            BestellungDBDts.Save(Me)
            'Save()
         Case Sender Is ReloadToolStripMenuItem
            BestellungDBDts.Fill()
         Case Sender Is AddBestellungToolStripMenuItem
            BestellungDBDts.Bestellung.AddBestellungRow(Date.Now)
      End Select
   End Sub



   Private Sub PostenDataGridView_EditingControlShowing(ByVal sender As Object, ByVal e As DataGridViewEditingControlShowingEventArgs) Handles PostenDataGridView.EditingControlShowing
      If PostenDataGridView.CurrentCell.ColumnIndex <> clmPostenArtikelID.DisplayIndex Then Return 'abbrechen, wenn das EditingControl einer anderen Spalte angehrt
      Dim cmb = DirectCast(e.Control, ComboBox)
      Dim currPosten = PostenBindingSource.At(Of PostenRow)()
      Dim toExcept = From x In PostenBindingSource.All(Of PostenRow)() Where x IsNot currPosten Select x.ArtikelRow
      Dim comboSource = srcClmArtikelId.All(Of ArtikelRow).Except(toExcept)
      Dim memberSettings = {cmb.DisplayMember, cmb.ValueMember} 'Member-Einstellungen merken
      cmb.DataSource = Nothing 'bisheriges Databinding auflsen
      cmb.Items.AddRange(comboSource.ToArray) 'statt Databinding Items adden
      'Member-Einstellungen restaurieren
      cmb.DisplayMember = memberSettings(0)
      cmb.ValueMember = memberSettings(1)
      cmb.SelectedItem = currPosten.ArtikelRow
   End Sub

   Private Sub PostenBindingSource_ListChanged(ByVal sender As Object, ByVal e As ListChangedEventArgs) Handles PostenBindingSource.ListChanged
      If e.ListChangedType > ListChangedType.ItemDeleted Then Return 'lsst nur .ItemAdded, .ItemDeleted und .Reset passieren
      PostenBindingSource.AllowNew = PostenBindingSource.Count < ArtikelBindingSource.Count
   End Sub

End Class