﻿Imports System.Globalization
Imports System.Text
Imports System.Collections
Imports System.Text.RegularExpressions
Imports System.Runtime.CompilerServices

Namespace System
   Public Module TextX
      <Extension()> _
      Public Function CompareText(ByVal Subj As String, ByVal other As String, Optional ByVal options As CompareOptions = CompareOptions.StringSort Or CompareOptions.IgnoreCase) As Integer
         Return CultureInfo.InvariantCulture.CompareInfo.Compare(Subj, other, options)
      End Function

      <Extension()> _
      Public Function FirstDifference(ByVal s1 As Char(), ByVal s2 As Char()) As Integer
         Dim rv = 0
         For rv = 0 To Math.Min(s1.Length, s2.Length) - 1
            If Char.ToLowerInvariant(s1(rv)) <> Char.ToLowerInvariant(s2(rv)) Then Return rv
         Next
         Return rv
      End Function

   End Module


End Namespace
